File python3.changes of Package python3

-------------------------------------------------------------------
Fri Apr 22 17:20:29 UTC 2016 - jmatejek@suse.com

- move _hashlib and _ssl modules and tests to python3-base
- change Suggests to Recommends on supplemental modules

-------------------------------------------------------------------
Tue Mar 15 15:05:23 UTC 2016 - schwab@suse.de

- Skip test_asyncio under qemu_user_space_build

-------------------------------------------------------------------
Mon Mar  7 20:38:11 UTC 2016 - toddrme2178@gmail.com

- Add  Python-3.5.1-fix_lru_cache_copying.patch
  Fix copying the lru_cache() wrapper object.
  Fixes deep-copying lru_cache regression, which worked on 
  previous versions of python but fails on python 3.5.
  This fixes a bunch of packages in devel:languages:python3.
  See: https://bugs.python.org/issue25447

-------------------------------------------------------------------
Wed Dec  9 07:35:20 UTC 2015 - toddrme2178@gmail.com

- update to 3.5.1
  * bugfix-only release, dozens of bugs fixed
- Drop upstreamed Python-3.5.0-_Py_atomic_xxx-symbols.patch
- "Python3" to "Python 3" in summary
  * This seems cleaner and fixes and rpmlint warning

-------------------------------------------------------------------
Wed Oct 14 20:21:52 UTC 2015 - toddrme2178@gmail.com

- Add python3-3.5.0-_Py_atomic_xxx-symbols.patch
  This fixes a build error for many packages that use the Python,
  C-API.
  This patch is already accepted upstream and is slated to appear in
  python 3.5.1.

-------------------------------------------------------------------
Thu Oct  1 15:00:17 UTC 2015 - jmatejek@suse.com

- update to 3.5.0
  * see python3-base.changes for details
- update list of tests

-------------------------------------------------------------------
Wed Sep  9 12:18:30 UTC 2015 - dimstar@opensuse.org

- Add python3-ncurses-6.0-accessors.patch: Fix build with
  NCurses 6.0 and OPAQUE_WINDOW set to 1.

-------------------------------------------------------------------
Thu Jul 23 22:08:10 UTC 2015 - fisiu@opensuse.org

- Build with --enable-loadable-sqlite-extensions to make it works
  as geospatial database.

-------------------------------------------------------------------
Wed Jun 24 06:54:30 UTC 2015 - meissner@suse.com

- dh2048.pem: added generated 2048 dh parameter set to fix
  ssl test (bsc#935856)
- python-fix-short-dh.patch: replace the 512 bits dh parameter set
  by 2048 bits to fix build with new openssl 1.0.2c (bsc#935856)

-------------------------------------------------------------------
Fri May  1 15:11:21 UTC 2015 - mailaender@opensuse.org

- Update to version 3.4.3
- Drop upstreamed CVE-2014-4650-CGIHTTPServer-traversal.patch
  (bpo#21766)

-------------------------------------------------------------------
Sat Oct 18 20:14:54 UTC 2014 - crrodriguez@opensuse.org

- Only pkgconfig(x11) is required for build, not the whole 
  set of packages provided by xorg-x11-devel metapackage.

-------------------------------------------------------------------
Thu Jul 31 12:45:47 UTC 2014 - dimstar@opensuse.org

- Rename rpmlintrc to %{name}-rpmlintrc.
  Follow the packaging guidelines.

-------------------------------------------------------------------
Fri May 23 17:38:20 UTC 2014 - jmatejek@suse.com

- update to 3.4.1
  *  * bugfix-only release, over 300 bugs fixed
- upgrade pip to Recommends (it seems to be a stronger hint)
- move ensurepip here, because it requires ssl through pip
- python-3.4.1-SUSE-ensurepip.patch: make ensurepip require
  python3-pip from separate package
- Suggests every subpackage that is part of stdlib

-------------------------------------------------------------------
Mon Mar 17 19:29:49 UTC 2014 - jmatejek@suse.com

- update to 3.4.0 final
- lower pip requirement to Suggests, to prevent build cycles

-------------------------------------------------------------------
Fri Mar 14 20:26:03 UTC 2014 - andreas.stieger@gmx.de

- Fix build with SQLite 3.8.4 [bnc#867887], fixing SQLite tests,
  adding python-2.7.6-sqlite-3.8.4-tests.patch

-------------------------------------------------------------------
Thu Feb 27 14:07:55 UTC 2014 - jmatejek@suse.com

- update to 3.4.0 rc2
  * for full changelog, see python3-base
- hard Require for python3-pip, see what happens

-------------------------------------------------------------------
Tue Jan 21 18:08:54 UTC 2014 - jmatejek@suse.com

- initial commit of 3.4.0 beta 3
  * for full changelog, see python3-base
- modify script shebangs in common %prep

-------------------------------------------------------------------
Tue Nov 19 14:36:18 UTC 2013 - jmatejek@suse.com

- update to 3.3.3
- move example module xxlimited to python3-testsuite
- drop CVE-2013-4238_py33.patch - it is upstreamed

-------------------------------------------------------------------
Tue Oct 15 17:44:08 UTC 2013 - crrodriguez@opensuse.org

- build with -DOPENSSL_LOAD_CONF for the same reasons 
  described in the python2 package.

-------------------------------------------------------------------
Fri Aug 16 11:35:15 UTC 2013 - jmatejek@suse.com

- handle NULL bytes in certain fields of SSL certificates
  (CVE-2013-4238, bnc#834601)

-------------------------------------------------------------------
Thu Jun 13 15:06:07 UTC 2013 - jmatejek@suse.com

- update to 3.3.2
- switch to xz compression
- move _lzma module to python3-base

-------------------------------------------------------------------
Mon Apr 29 22:32:43 UTC 2013 - schwab@suse.de

- Readd missing bits from ctypes-libffi-aarch64.patch

-------------------------------------------------------------------
Sat Apr 13 07:51:28 UTC 2013 - idonmez@suse.com

- Update to version 3.3.1
  * Fix the –enable-profiling configure switch.
  * In IDLE, close the replace dialog after it is used.
- Too many bugfixes to list here,
  see See http://hg.python.org/cpython/file/v3.3.0/Misc/NEWS
- Refresh Python-3.3.0b2-multilib.patch
- Refresh python-3.2b2-buildtime-generate.patch
- Drop upstream patches: ctypes-libffi-aarch64.patch,
  python-3.2.3rc2-pypirc-secure.patch, python-3.3.0-getdents64.patch

-------------------------------------------------------------------
Mon Apr  8 11:25:30 UTC 2013 - speilicke@suse.com

- Exclude sqlite/test and tk/test directories from the respective
  sub-packages. These are owned by the testsuite sub-package already

-------------------------------------------------------------------
Fri Apr  5 12:58:38 UTC 2013 - idonmez@suse.com

- Add Source URL, see https://en.opensuse.org/SourceUrls

-------------------------------------------------------------------
Mon Oct 29 18:21:45 UTC 2012 - dmueller@suse.com

- disable more checks for qemu builds as they use syscalls not
  implemented yet

-------------------------------------------------------------------
Mon Oct  1 08:52:01 UTC 2012 - idonmez@suse.com

- Update to final 3.3.0 release
  * See http://hg.python.org/cpython/file/v3.3.0/Misc/NEWS

-------------------------------------------------------------------
Mon Aug 27 16:36:03 UTC 2012 - jmatejek@suse.com

- update to 3.3.0 RC1
- added Provides for %{python_version}, we'll see whether that
  breaks everything

-------------------------------------------------------------------
Fri Aug  3 12:12:58 UTC 2012 - jmatejek@suse.com

- update to 3.3.0 beta 1

-------------------------------------------------------------------
Fri Jul 27 09:04:43 UTC 2012 - dvaleev@suse.com

- drop test_io ppc patch... we run only selective tests here 

-------------------------------------------------------------------
Tue Jun 12 15:39:08 UTC 2012 - adrian@suse.de

- fix logic of checks exclusion

-------------------------------------------------------------------
Sun Dec 25 13:26:04 UTC 2011 - idonmez@suse.com

- Use system ffi, included one is broken see
  http://bugs.python.org/issue11729 and 
  http://bugs.python.org/issue12081

-------------------------------------------------------------------
Fri Dec  9 17:19:55 UTC 2011 - jmatejek@suse.com

- license.opensuse.org-compatible license headers

-------------------------------------------------------------------
Fri Dec  2 16:46:44 UTC 2011 - coolo@suse.com

- add automake as buildrequire to avoid implicit dependency

-------------------------------------------------------------------
Fri Sep  2 10:40:01 UTC 2011 - coolo@suse.com

- fix baselibs.conf

-------------------------------------------------------------------
Mon Jul 18 16:23:16 UTC 2011 - jmatejek@novell.com

- update to 3.2.1
- fix build on linux3

-------------------------------------------------------------------
Fri May 13 12:43:49 UTC 2011 - jmatejek@novell.com

- updated to build --with-wide-unicode (for compatibility with
  fedora and our own python 2.x series)

-------------------------------------------------------------------
Wed Mar 23 04:25:53 UTC 2011 - termim@gmail.com

- update to 3.2

-------------------------------------------------------------------
Tue Feb  8 19:43:07 CET 2011 - matejcik@suse.cz

- update to 3.2 RC2

-------------------------------------------------------------------
Wed Jan 19 16:11:30 UTC 2011 - jmatejek@novell.com

- update to 3.2 beta 2 and other tales

-------------------------------------------------------------------
Fri Jan 14 19:51:51 UTC 2011 - coolo@novell.com

- update to 3.1.3
  * tons of bug fixes from 3.1 branch

-------------------------------------------------------------------
Mon Nov 15 12:22:19 UTC 2010 - coolo@novell.com

- update to 3.1.2
  * new stable release from 3.1 branch
- add svn patch to fix zlib test case

-------------------------------------------------------------------
Sat Jan 23 20:08:53 CET 2010 - jengelh@medozas.de

- package baselibs.conf

-------------------------------------------------------------------
Tue Nov  3 19:14:00 UTC 2009 - coolo@novell.com

- updated patches to apply with fuzz=0

-------------------------------------------------------------------
Tue Sep  8 16:28:03 CEST 2009 - max@suse.de

- removed blt from BuildRequires so that it can be dropped.

-------------------------------------------------------------------
Thu Aug  6 20:31:56 CEST 2009 - matejcik@suse.cz

- update to 3.1
  * new version, much improved over the shakedown 3.0 series

-------------------------------------------------------------------
Thu Jul 16 10:42:21 CEST 2009 - coolo@novell.com

- disable as-needed to fix build

-------------------------------------------------------------------
Fri Sep 12 14:12:05 CEST 2008 - matejcik@suse.cz

- update to beta3
- fixed misapplied ssl-compat patch
- added curses-panel patch from python 2.6

-------------------------------------------------------------------
Tue Aug  5 18:34:03 CEST 2008 - matejcik@suse.cz

- update to beta2
- included fixed configure script
  (although somebody apparently did that for me before)
!!!
unclear status of recent security issues
=> for now, this package should be considered insecure
!!!

-------------------------------------------------------------------
Fri Jun 27 16:29:17 CEST 2008 - matejcik@suse.cz

- initial release of python3 package
(yes, it is a hacked specfile of python 2.x)